- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Data Structures
- Class Hierarchy
- Data Fields

# Accessibility::Relation Interface Reference

`import "Accessibility_Relation.idl";`

## Public Member Functions
RelationType | getRelationType ()
string | getRelationTypeName ()
short | getNTargets ()
Object | getTarget (in short index)

## Detailed Description

An interface via which objects' non-hierarchical relationships to one another are indicated. An instance of Relations represents a "one-to-many" correspondance.

Note:
  This interface inherits from a base class implementing ref counts.

## Member Function Documentation

RelationType Accessibility::Relation::getRelationType | ( |  | ) |

Returns:
  the RelationType of this Relation.

string Accessibility::Relation::getRelationTypeName | ( |  | ) |

Returns:
  an unlocalized string representing the relation type.

short Accessibility::Relation::getNTargets | ( |  | ) |

Returns:
  the number of objects to which this relationship applies.

Object Accessibility::Relation::getTarget | ( | in short | index | ) |

Returns:
  an Object which is the 'nth'target of this Relation, e.g. the Object at index i in the list of Objects having the specified relationship to this Accessible.

Note:
  This target should always implement Accessible, though it is returned as an Object. (In this respect this method is probably ill-specified.)

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_Relation.idl